Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class EndpointMessageNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.EndpointMessageNotification

All Implemented Interfaces:
  Serializable, MuleContextAware

    public class EndpointMessageNotification

extends ServerNotification

These notifications are fired when either a message is either: received by an endpoint, sent or dispatched from an endpoint or requested from an endpoint.

See Also:
  Serialized Form

Field Summary
`protected static Log` | `logger` logger used by this class
`static int` | `MESSAGE_DISPATCHED`
`static int` | `MESSAGE_RECEIVED`
`static int` | `MESSAGE_REQUESTED`
`static int` | `MESSAGE_RESPONSE`
`static int` | `MESSAGE_SENT`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, FLOW_CONSTRUCT_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MESSAGE_PROCESSOR_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`EndpointMessageNotification(MuleMessage resource, ImmutableEndpoint endpoint, String identifier, int action)`

Method Summary
`String` | `getEndpoint()`
`protected String` | `getPayloadToString()`
`MuleMessage` | `getSource()`
`String` | `getType()`
`String` | `toString()`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getResourceIdentifier, getServerId, getTimestamp, isResourceIdentifierAnUri, registerAction, setMuleContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

### MESSAGE_RECEIVED

    public static final int MESSAGE_RECEIVED

See Also:
  Constant Field Values

### MESSAGE_DISPATCHED

    public static final int MESSAGE_DISPATCHED

See Also:
  Constant Field Values

### MESSAGE_SENT

    public static final int MESSAGE_SENT

See Also:
  Constant Field Values

### MESSAGE_REQUESTED

    public static final int MESSAGE_REQUESTED

See Also:
  Constant Field Values

### MESSAGE_RESPONSE

    public static final int MESSAGE_RESPONSE

See Also:
  Constant Field Values

Constructor Detail

### EndpointMessageNotification

    public EndpointMessageNotification(MuleMessage resource,
                                       ImmutableEndpoint endpoint,
                                       String identifier,
                                       int action)

Method Detail

### getPayloadToString

    protected String getPayloadToString()

  Overrides:
    `getPayloadToString` in class `ServerNotification`

### toString

    public String toString()

  Overrides:
    `toString` in class `ServerNotification`

### getEndpoint

    public String getEndpoint()

### getType

    public String getType()

  Overrides:
    `getType` in class `ServerNotification`

### getSource

    public MuleMessage getSource()

  Overrides:
    `getSource` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.